RDKit: RDKit::FingerprintGenerator< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FingerprintGenerator< OutputType > Class Template Reference

class that generates same fingerprint style for different output formats More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::FingerprintGenerator< OutputType >:

## Public Member Functions
| FingerprintGenerator (AtomEnvironmentGenerator< OutputType > *atomEnvironmentGenerator, FingerprintArguments *fingerprintArguments, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, BondInvariantsGenerator *bondInvariantsGenerator=nullptr, bool ownsAtomInvGenerator=false, bool ownsBondInvGenerator=false)
| ~FingerprintGenerator ()
FingerprintArguments * | getOptions ()
const FingerprintArguments * | getOptions () const
std::unique_ptr< SparseIntVect< OutputType > > | getSparseCountFingerprint (const ROMol &mol, FingerprintFuncArguments &args) const
std::unique_ptr< SparseBitVect > | getSparseFingerprint (const ROMol &mol, FingerprintFuncArguments &args) const
std::unique_ptr< SparseIntVect< std::uint32_t > > | getCountFingerprint (const ROMol &mol, FingerprintFuncArguments &args) const
std::unique_ptr< ExplicitBitVect > | getFingerprint (const ROMol &mol, FingerprintFuncArguments &args) const
std::vector< std::unique_ptr< ExplicitBitVect > > | getFingerprints (const std::vector< const ROMol * > &mols, int numThreads=1) const
std::vector< std::unique_ptr< SparseBitVect > > | getSparseFingerprints (const std::vector< const ROMol * > &mols, int numThreads=1) const
std::vector< std::unique_ptr< SparseIntVect< std::uint32_t > > > | getCountFingerprints (const std::vector< const ROMol * > &mols, int numThreads=1) const
std::vector< std::unique_ptr< SparseIntVect< OutputType > > > | getSparseCountFingerprints (const std::vector< const ROMol * > &mols, int numThreads=1) const
SparseIntVect< OutputType > * | getSparseCountFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, int confId=-1, AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
SparseBitVect * | getSparseFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, int confId=-1, AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
SparseIntVect< std::uint32_t > * | getCountFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, int confId=-1, AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
ExplicitBitVect * | getFingerprint (const ROMol &mol, const std::vector< std::uint32_t > *fromAtoms=nullptr, const std::vector< std::uint32_t > *ignoreAtoms=nullptr, int confId=-1, AdditionalOutput *additionalOutput=nullptr, const std::vector< std::uint32_t > *customAtomInvariants=nullptr, const std::vector< std::uint32_t > *customBondInvariants=nullptr) const
std::string | infoString () const
void | toJSON (boost::property_tree::ptree &pt) const
void | fromJSON (const boost::property_tree::ptree &pt)

## Detailed Description

template<typename OutputType>
class RDKit::FingerprintGenerator< OutputType >

class that generates same fingerprint style for different output formats

Definition at line 320 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ◆ FingerprintGenerator()

template<typename OutputType>

RDKit::FingerprintGenerator< OutputType >::FingerprintGenerator | ( | AtomEnvironmentGenerator< OutputType > * | atomEnvironmentGenerator,
|  | FingerprintArguments * | fingerprintArguments,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = nullptr,
|  | BondInvariantsGenerator * | bondInvariantsGenerator = nullptr,
|  | bool | ownsAtomInvGenerator = false,
|  | bool | ownsBondInvGenerator = false )

## ◆ ~FingerprintGenerator()

template<typename OutputType>

RDKit::FingerprintGenerator< OutputType >::~FingerprintGenerator | ( |  | ) |

## Member Function Documentation

## ◆ fromJSON()

template<typename OutputType>

void RDKit::FingerprintGenerator< OutputType >::fromJSON | ( | const boost::property_tree::ptree & | pt | ) |

## ◆ getCountFingerprint() [1/2]

template<typename OutputType>

template RDKIT_FINGERPRINTS_EXPORT SparseIntVect< std::uint32_t > * RDKit::FingerprintGenerator< OutputType >::getCountFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = nullptr,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = nullptr,
|  | int | confId = -1,
|  | AdditionalOutput * | additionalOutput = nullptr,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = nullptr,
|  | const std::vector< std::uint32_t > * | customBondInvariants = nullptr ) const
| inline

Definition at line 398 of file FingerprintGenerator.h.

References getCountFingerprint().

## ◆ getCountFingerprint() [2/2]

template<typename OutputType>

std::unique_ptr< SparseIntVect< std::uint32_t > > RDKit::FingerprintGenerator< OutputType >::getCountFingerprint | ( | const ROMol & | mol,
|  | FingerprintFuncArguments & | args ) const

Referenced by getCountFingerprint().

## ◆ getCountFingerprints()

template<typename OutputType>

std::vector< std::unique_ptr< SparseIntVect< std::uint32_t > > > RDKit::FingerprintGenerator< OutputType >::getCountFingerprints | ( | const std::vector< const ROMol * > & | mols,
|  | int | numThreads = 1 ) const

## ◆ getFingerprint() [1/2]

template<typename OutputType>

template RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * RDKit::FingerprintGenerator< OutputType >::getFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = nullptr,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = nullptr,
|  | int | confId = -1,
|  | AdditionalOutput * | additionalOutput = nullptr,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = nullptr,
|  | const std::vector< std::uint32_t > * | customBondInvariants = nullptr ) const
| inline

Definition at line 410 of file FingerprintGenerator.h.

References getFingerprint().

## ◆ getFingerprint() [2/2]

template<typename OutputType>

std::unique_ptr< ExplicitBitVect > RDKit::FingerprintGenerator< OutputType >::getFingerprint | ( | const ROMol & | mol,
|  | FingerprintFuncArguments & | args ) const

Referenced by getFingerprint().

## ◆ getFingerprints()

template<typename OutputType>

std::vector< std::unique_ptr< ExplicitBitVect > > RDKit::FingerprintGenerator< OutputType >::getFingerprints | ( | const std::vector< const ROMol * > & | mols,
|  | int | numThreads = 1 ) const

## ◆ getOptions() [1/2]

template<typename OutputType>

FingerprintArguments * RDKit::FingerprintGenerator< OutputType >::getOptions | ( |  | ) |
| inline

Definition at line 343 of file FingerprintGenerator.h.

## ◆ getOptions() [2/2]

template<typename OutputType>

const FingerprintArguments * RDKit::FingerprintGenerator< OutputType >::getOptions | ( |  | ) | const
| inline

Definition at line 344 of file FingerprintGenerator.h.

## ◆ getSparseCountFingerprint() [1/2]

template<typename OutputType>

template RDKIT_FINGERPRINTS_EXPORT SparseIntVect< std::uint64_t > * RDKit::FingerprintGenerator< OutputType >::getSparseCountFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = nullptr,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = nullptr,
|  | int | confId = -1,
|  | AdditionalOutput * | additionalOutput = nullptr,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = nullptr,
|  | const std::vector< std::uint32_t > * | customBondInvariants = nullptr ) const
| inline

Definition at line 374 of file FingerprintGenerator.h.

References getSparseCountFingerprint().

## ◆ getSparseCountFingerprint() [2/2]

template<typename OutputType>

std::unique_ptr< SparseIntVect< OutputType > > RDKit::FingerprintGenerator< OutputType >::getSparseCountFingerprint | ( | const ROMol & | mol,
|  | FingerprintFuncArguments & | args ) const

Referenced by getSparseCountFingerprint().

## ◆ getSparseCountFingerprints()

template<typename OutputType>

std::vector< std::unique_ptr< SparseIntVect< OutputType > > > RDKit::FingerprintGenerator< OutputType >::getSparseCountFingerprints | ( | const std::vector< const ROMol * > & | mols,
|  | int | numThreads = 1 ) const

## ◆ getSparseFingerprint() [1/2]

template<typename OutputType>

template RDKIT_FINGERPRINTS_EXPORT SparseBitVect * RDKit::FingerprintGenerator< OutputType >::getSparseFingerprint | ( | const ROMol & | mol,
|  | const std::vector< std::uint32_t > * | fromAtoms = nullptr,
|  | const std::vector< std::uint32_t > * | ignoreAtoms = nullptr,
|  | int | confId = -1,
|  | AdditionalOutput * | additionalOutput = nullptr,
|  | const std::vector< std::uint32_t > * | customAtomInvariants = nullptr,
|  | const std::vector< std::uint32_t > * | customBondInvariants = nullptr ) const
| inline

Definition at line 386 of file FingerprintGenerator.h.

References getSparseFingerprint().

## ◆ getSparseFingerprint() [2/2]

template<typename OutputType>

std::unique_ptr< SparseBitVect > RDKit::FingerprintGenerator< OutputType >::getSparseFingerprint | ( | const ROMol & | mol,
|  | FingerprintFuncArguments & | args ) const

Referenced by getSparseFingerprint().

## ◆ getSparseFingerprints()

template<typename OutputType>

std::vector< std::unique_ptr< SparseBitVect > > RDKit::FingerprintGenerator< OutputType >::getSparseFingerprints | ( | const std::vector< const ROMol * > & | mols,
|  | int | numThreads = 1 ) const

## ◆ infoString()

template<typename OutputType>

std::string RDKit::FingerprintGenerator< OutputType >::infoString | ( |  | ) | const

## ◆ toJSON()

template<typename OutputType>

void RDKit::FingerprintGenerator< OutputType >::toJSON | ( | boost::property_tree::ptree & | pt | ) | const

The documentation for this class was generated from the following file:

- FingerprintGenerator.h